Subject: bug#9361: 24.0.50; default value of `dired-do-chmod'

From: "Drew Adams" <[email-masked]>
Date: Thu, 26 Jan 2012 08:27:29 -0800

This bug has not at all been fixed - AFAICT, everything I reported is still a
problem.  It should not have been closed.

I tried to reopen this bug.  It was archived (that's what comes from waiting for
a response).  I unarchived it (successfully).  The unarchive message told me
that unarchiving does not reopen the bug.  So I then tried to reopen it again.
No reply to my "reopen" mail - no change: still not reopened.

I tried to reopen it again just now.  Still no reply message and no change.

There was never any response to what I reported as the bug.  Instead, as is all
too common, there was a side discussion... and that was it.  The bug was closed
without anyone ever addressing what I reported as the problem.

You apparently fixed your own choice of a problem, which was not the problem
that was reported.  The default value of `dired-do-chmod' is still the same,
inappropriate value. There is no reason to pick up the permissions from the
_first_ of the marked files - makes no sense at all.  And it is still not made
clear to users which file the permissions are being copied from.  Please read
the bug report, and the followup passage cited below.

Do I need to open a new bug and copy the 9361 report to it, i.e., to start over?

> ping.
> 
> > Juri makes the argument that this is handy because it lets 
> > you easily copy the permissions from "the marked file" and
> > reuse them elsewhere.
> > 
> > That is no argument when more than one file is marked.  In 
> > fact it might be an argument for using as default the file
> > of the current (cursor) line.  It makes absolutely no sense
> > to privilege the first of a non-singleton set of marked files.
> > 
> > In reality, it is an argument for having a separate command 
> > to copy the settings (all of them) from the current line and
> > then having, as default value for each of the `*ch*' commands,
> > the value taken from that copied setting.  And this would
> > apply across Dired buffers, giving you an easy way to apply a
> > particular set of values (settings).  It could perhaps also
> > apply to other Dired commands, such as `touch' (dunno).
> > 
> > The point is that if we are going to copy settings from a 
> > particular file in order to make them available for,
> > essentially, pasting operations to other files, then the
> > target file being copied from should be clear.  The copy
> > operation should be an explicit user choice, not something 
> > implicit, based only on the first marked file (why not the
> > last? or the 23rd?).